CUDNN Frontend API 8.3.0

Public Member Functions | Private Attributes | List of all members
cudnn_frontend::ConvDescBuilder_v8 Class Reference

`#include <cudnn_frontend_ConvDesc.h>`

Collaboration diagram for cudnn_frontend::ConvDescBuilder_v8:

## Public Member Functions
auto | setDataType (cudnnDataType_t data_type_) -> ConvDescBuilder_v8 &
| Set Datatype for the Convolution Operation. More...
auto | setComputePrecision (cudnnDataType_t data_type_) -> ConvDescBuilder_v8 &
auto | setPrePadding (int64_t ndims, int64_t const *padding) -> ConvDescBuilder_v8 &
| Set Padding Lower of the convDesc. More...
auto | setPostPadding (int64_t ndims, int64_t const *padding) -> ConvDescBuilder_v8 &
| Set Padding Upper of the convDesc. More...
auto | setDilation (int64_t ndims, int64_t const *dilation) -> ConvDescBuilder_v8 &
| Set Dilation of the convDesc. More...
auto | setStrides (int64_t ndims, int64_t const *strides) -> ConvDescBuilder_v8 &
| Set Strides of the convDesc. More...
auto | setNDims (int64_t nDims_) -> ConvDescBuilder_v8 &
| Set Num Spatial Dimensions of the convolution Operation. More...
auto | setMathMode (cudnnConvolutionMode_t mode_) -> ConvDescBuilder_v8 &
| Set Convolution Mode of the convolution Operation. More...
ConvDesc_v8 && | build ()
| ConvDescBuilder_v8 ()=default
| ~ConvDescBuilder_v8 ()=default
| ConvDescBuilder_v8 (ConvDescBuilder_v8 &&)=delete
| ConvDescBuilder_v8 (ConvDescBuilder_v8 const &)=delete
ConvDescBuilder_v8 & | operator= (ConvDescBuilder_v8 const &)=delete

## Private Attributes
ConvDesc_v8 | m_convDesc

## Detailed Description

ConvDescBuilder_v8 Class Helper class used to build ConvDesc_v8 class

Definition at line 141 of file cudnn_frontend_ConvDesc.h.

## Constructor & Destructor Documentation

## ◆ ConvDescBuilder_v8() [1/3]

cudnn_frontend::ConvDescBuilder_v8::ConvDescBuilder_v8 | ( |  | ) |
| explicitdefault

## ◆ ~ConvDescBuilder_v8()

cudnn_frontend::ConvDescBuilder_v8::~ConvDescBuilder_v8 | ( |  | ) |
| default

## ◆ ConvDescBuilder_v8() [2/3]

cudnn_frontend::ConvDescBuilder_v8::ConvDescBuilder_v8 | ( | ConvDescBuilder_v8 && |  | ) |
| delete

## ◆ ConvDescBuilder_v8() [3/3]

cudnn_frontend::ConvDescBuilder_v8::ConvDescBuilder_v8 | ( | ConvDescBuilder_v8 const & |  | ) |
| delete

## Member Function Documentation

## ◆ build()

ConvDesc_v8&& cudnn_frontend::ConvDescBuilder_v8::build | ( |  | ) |
| inline

constructs the ConvDesc_v8 by calling the cudnn API Throws the appropriate error message

Definition at line 198 of file cudnn_frontend_ConvDesc.h.

References cudnn_frontend::ConvDesc_v8::ConvDescBuilder_v8, cudnn_frontend::getLogger(), cudnn_frontend::ConvDesc_v8::operator=(), cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::BackendDescriptor::status.

## ◆ operator=()

ConvDescBuilder_v8& cudnn_frontend::ConvDescBuilder_v8::operator= | ( | ConvDescBuilder_v8 const & |  | ) |
| delete

## Member Data Documentation

## ◆ m_convDesc

ConvDesc_v8 cudnn_frontend::ConvDescBuilder_v8::m_convDesc
| private

Definition at line 341 of file cudnn_frontend_ConvDesc.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_ConvDesc.h